Bug 146095 - CAN-2005-0177 nls_ascii incorrect table size
CAN-2005-0177 nls_ascii incorrect table size
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
impact=moderate,public=20050110
: Security
Depends On:
Blocks: 144195
  Show dependency treegraph
 
Reported: 2005-01-25 06:26 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 12:20:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-01-25 06:26:12 EST
OGAWA Hirofumi noticed that the table sizes in nls_ascii.c were incorrectly set
to 128 instead of 256 and that it could lead to a denial of service (oops).  

Patch is available from upstream:
http://linux.bkbits.net:8080/linux-2.6/cset@41e2bfbeOiXFga62XrBhzm7Kv9QDmQ
also included in patch from Alan, 2.6.10-ac9
Comment 1 Josh Bressers 2005-02-18 12:20:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-092.html

Note You need to log in before you can comment on or make changes to this bug.